import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeVoicesInput } from "../types/DescribeVoicesInput";
import { DescribeVoicesOutput } from "../types/DescribeVoicesOutput";
import { PollyResolvedConfiguration } from "../PollyConfiguration";
export * from "../types/DescribeVoicesInput";
export * from "../types/DescribeVoicesOutput";
export * from "../types/DescribeVoicesExceptionsUnion";
export declare class DescribeVoicesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeVoicesInput, OutputTypesUnion, DescribeVoicesOutput, PollyResolvedConfiguration, Blob> {
    readonly input: DescribeVoicesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeVoicesInput, DescribeVoicesOutput, Blob>;
    constructor(input: DescribeVoicesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: PollyResolvedConfiguration): __aws_sdk_types.Handler<DescribeVoicesInput, DescribeVoicesOutput>;
}
