import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListLexiconsInput } from "../types/ListLexiconsInput";
import { ListLexiconsOutput } from "../types/ListLexiconsOutput";
import { PollyResolvedConfiguration } from "../PollyConfiguration";
export * from "../types/ListLexiconsInput";
export * from "../types/ListLexiconsOutput";
export * from "../types/ListLexiconsExceptionsUnion";
export declare class ListLexiconsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListLexiconsInput, OutputTypesUnion, ListLexiconsOutput, PollyResolvedConfiguration, Blob> {
    readonly input: ListLexiconsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListLexiconsInput, ListLexiconsOutput, Blob>;
    constructor(input: ListLexiconsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: PollyResolvedConfiguration): __aws_sdk_types.Handler<ListLexiconsInput, ListLexiconsOutput>;
}
