import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListSpeechSynthesisTasksInput } from "../types/ListSpeechSynthesisTasksInput";
import { ListSpeechSynthesisTasksOutput } from "../types/ListSpeechSynthesisTasksOutput";
import { PollyResolvedConfiguration } from "../PollyConfiguration";
export * from "../types/ListSpeechSynthesisTasksInput";
export * from "../types/ListSpeechSynthesisTasksOutput";
export * from "../types/ListSpeechSynthesisTasksExceptionsUnion";
export declare class ListSpeechSynthesisTasksCommand implements __aws_sdk_types.Command<InputTypesUnion, ListSpeechSynthesisTasksInput, OutputTypesUnion, ListSpeechSynthesisTasksOutput, PollyResolvedConfiguration, Blob> {
    readonly input: ListSpeechSynthesisTasksInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListSpeechSynthesisTasksInput, ListSpeechSynthesisTasksOutput, Blob>;
    constructor(input: ListSpeechSynthesisTasksInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: PollyResolvedConfiguration): __aws_sdk_types.Handler<ListSpeechSynthesisTasksInput, ListSpeechSynthesisTasksOutput>;
}
