"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteLexiconInput_1 = require("../shapes/DeleteLexiconInput");
var DeleteLexiconOutput_1 = require("../shapes/DeleteLexiconOutput");
var LexiconNotFoundException_1 = require("../shapes/LexiconNotFoundException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteLexicon = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteLexicon",
    http: {
        method: "DELETE",
        requestUri: "/v1/lexicons/{LexiconName}"
    },
    input: {
        shape: DeleteLexiconInput_1.DeleteLexiconInput
    },
    output: {
        shape: DeleteLexiconOutput_1.DeleteLexiconOutput
    },
    errors: [
        {
            shape: LexiconNotFoundException_1.LexiconNotFoundException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=DeleteLexicon.js.map