"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetLexiconInput_1 = require("../shapes/GetLexiconInput");
var GetLexiconOutput_1 = require("../shapes/GetLexiconOutput");
var LexiconNotFoundException_1 = require("../shapes/LexiconNotFoundException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetLexicon = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetLexicon",
    http: {
        method: "GET",
        requestUri: "/v1/lexicons/{LexiconName}"
    },
    input: {
        shape: GetLexiconInput_1.GetLexiconInput
    },
    output: {
        shape: GetLexiconOutput_1.GetLexiconOutput
    },
    errors: [
        {
            shape: LexiconNotFoundException_1.LexiconNotFoundException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=GetLexicon.js.map