"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _LexiconNameList_1 = require("./_LexiconNameList");
var _SpeechMarkTypeList_1 = require("./_SpeechMarkTypeList");
exports.SynthesizeSpeechInput = {
    type: "structure",
    required: ["OutputFormat", "Text", "VoiceId"],
    members: {
        Engine: {
            shape: {
                type: "string"
            }
        },
        LanguageCode: {
            shape: {
                type: "string"
            }
        },
        LexiconNames: {
            shape: _LexiconNameList_1._LexiconNameList
        },
        OutputFormat: {
            shape: {
                type: "string"
            }
        },
        SampleRate: {
            shape: {
                type: "string"
            }
        },
        SpeechMarkTypes: {
            shape: _SpeechMarkTypeList_1._SpeechMarkTypeList
        },
        Text: {
            shape: {
                type: "string"
            }
        },
        TextType: {
            shape: {
                type: "string"
            }
        },
        VoiceId: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=SynthesizeSpeechInput.js.map