"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PollyClient_1 = require("../../PollyClient");
var DescribeVoicesCommand_1 = require("../../commands/DescribeVoicesCommand");
describe("@aws-sdk/client-polly-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("DescribeVoices should succeed when given correct input", function (done) {
        var client = new PollyClient_1.PollyClient({
            region: defaultRegion,
            credentials: credentials
        });
        var describeVoices = new DescribeVoicesCommand_1.DescribeVoicesCommand({});
        client
            .send(describeVoices)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map