import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteLexiconInput } from "../types/DeleteLexiconInput";
import { DeleteLexiconOutput } from "../types/DeleteLexiconOutput";
import { PollyResolvedConfiguration } from "../PollyConfiguration";
export * from "../types/DeleteLexiconInput";
export * from "../types/DeleteLexiconOutput";
export * from "../types/DeleteLexiconExceptionsUnion";
export declare class DeleteLexiconCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteLexiconInput, OutputTypesUnion, DeleteLexiconOutput, PollyResolvedConfiguration, Blob> {
    readonly input: DeleteLexiconInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteLexiconInput, DeleteLexiconOutput, Blob>;
    constructor(input: DeleteLexiconInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: PollyResolvedConfiguration): __aws_sdk_types.Handler<DeleteLexiconInput, DeleteLexiconOutput>;
}
