import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetLexiconInput } from "../types/GetLexiconInput";
import { GetLexiconOutput } from "../types/GetLexiconOutput";
import { PollyResolvedConfiguration } from "../PollyConfiguration";
export * from "../types/GetLexiconInput";
export * from "../types/GetLexiconOutput";
export * from "../types/GetLexiconExceptionsUnion";
export declare class GetLexiconCommand implements __aws_sdk_types.Command<InputTypesUnion, GetLexiconInput, OutputTypesUnion, GetLexiconOutput, PollyResolvedConfiguration, Blob> {
    readonly input: GetLexiconInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetLexiconInput, GetLexiconOutput, Blob>;
    constructor(input: GetLexiconInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: PollyResolvedConfiguration): __aws_sdk_types.Handler<GetLexiconInput, GetLexiconOutput>;
}
