import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetSpeechSynthesisTaskInput } from "../types/GetSpeechSynthesisTaskInput";
import { GetSpeechSynthesisTaskOutput } from "../types/GetSpeechSynthesisTaskOutput";
import { PollyResolvedConfiguration } from "../PollyConfiguration";
export * from "../types/GetSpeechSynthesisTaskInput";
export * from "../types/GetSpeechSynthesisTaskOutput";
export * from "../types/GetSpeechSynthesisTaskExceptionsUnion";
export declare class GetSpeechSynthesisTaskCommand implements __aws_sdk_types.Command<InputTypesUnion, GetSpeechSynthesisTaskInput, OutputTypesUnion, GetSpeechSynthesisTaskOutput, PollyResolvedConfiguration, Blob> {
    readonly input: GetSpeechSynthesisTaskInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetSpeechSynthesisTaskInput, GetSpeechSynthesisTaskOutput, Blob>;
    constructor(input: GetSpeechSynthesisTaskInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: PollyResolvedConfiguration): __aws_sdk_types.Handler<GetSpeechSynthesisTaskInput, GetSpeechSynthesisTaskOutput>;
}
