"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutLexicon_1 = require("../model/operations/PutLexicon");
var PutLexiconCommand = /** @class */ (function () {
    function PutLexiconCommand(input) {
        this.input = input;
        this.model = PutLexicon_1.PutLexicon;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutLexiconCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutLexiconCommand;
}());
exports.PutLexiconCommand = PutLexiconCommand;
//# sourceMappingURL=PutLexiconCommand.js.map