"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeVoicesInput_1 = require("../shapes/DescribeVoicesInput");
var DescribeVoicesOutput_1 = require("../shapes/DescribeVoicesOutput");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeVoices = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeVoices",
    http: {
        method: "GET",
        requestUri: "/v1/voices"
    },
    input: {
        shape: DescribeVoicesInput_1.DescribeVoicesInput
    },
    output: {
        shape: DescribeVoicesOutput_1.DescribeVoicesOutput
    },
    errors: [
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=DescribeVoices.js.map