"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListLexiconsInput_1 = require("../shapes/ListLexiconsInput");
var ListLexiconsOutput_1 = require("../shapes/ListLexiconsOutput");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListLexicons = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListLexicons",
    http: {
        method: "GET",
        requestUri: "/v1/lexicons"
    },
    input: {
        shape: ListLexiconsInput_1.ListLexiconsInput
    },
    output: {
        shape: ListLexiconsOutput_1.ListLexiconsOutput
    },
    errors: [
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=ListLexicons.js.map