"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListSpeechSynthesisTasksInput_1 = require("../shapes/ListSpeechSynthesisTasksInput");
var ListSpeechSynthesisTasksOutput_1 = require("../shapes/ListSpeechSynthesisTasksOutput");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListSpeechSynthesisTasks = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListSpeechSynthesisTasks",
    http: {
        method: "GET",
        requestUri: "/v1/synthesisTasks"
    },
    input: {
        shape: ListSpeechSynthesisTasksInput_1.ListSpeechSynthesisTasksInput
    },
    output: {
        shape: ListSpeechSynthesisTasksOutput_1.ListSpeechSynthesisTasksOutput
    },
    errors: [
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=ListSpeechSynthesisTasks.js.map