"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SynthesizeSpeechOutput = {
    type: "structure",
    required: [],
    members: {
        AudioStream: {
            shape: {
                type: "blob",
                streaming: true
            }
        },
        ContentType: {
            shape: {
                type: "string"
            },
            location: "header",
            locationName: "Content-Type"
        },
        RequestCharacters: {
            shape: {
                type: "integer"
            },
            location: "header",
            locationName: "x-amzn-RequestCharacters"
        }
    },
    payload: "AudioStream"
};
//# sourceMappingURL=SynthesizeSpeechOutput.js.map