"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _LexiconNameList_1 = require("./_LexiconNameList");
var _SpeechMarkTypeList_1 = require("./_SpeechMarkTypeList");
exports._SynthesisTask = {
    type: "structure",
    required: [],
    members: {
        Engine: {
            shape: {
                type: "string"
            }
        },
        TaskId: {
            shape: {
                type: "string"
            }
        },
        TaskStatus: {
            shape: {
                type: "string"
            }
        },
        TaskStatusReason: {
            shape: {
                type: "string"
            }
        },
        OutputUri: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        RequestCharacters: {
            shape: {
                type: "integer"
            }
        },
        SnsTopicArn: {
            shape: {
                type: "string"
            }
        },
        LexiconNames: {
            shape: _LexiconNameList_1._LexiconNameList
        },
        OutputFormat: {
            shape: {
                type: "string"
            }
        },
        SampleRate: {
            shape: {
                type: "string"
            }
        },
        SpeechMarkTypes: {
            shape: _SpeechMarkTypeList_1._SpeechMarkTypeList
        },
        TextType: {
            shape: {
                type: "string"
            }
        },
        VoiceId: {
            shape: {
                type: "string"
            }
        },
        LanguageCode: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_SynthesisTask.js.map