"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _LanguageCodeList_1 = require("./_LanguageCodeList");
var _EngineList_1 = require("./_EngineList");
exports._Voice = {
    type: "structure",
    required: [],
    members: {
        Gender: {
            shape: {
                type: "string"
            }
        },
        Id: {
            shape: {
                type: "string"
            }
        },
        LanguageCode: {
            shape: {
                type: "string"
            }
        },
        LanguageName: {
            shape: {
                type: "string"
            }
        },
        Name: {
            shape: {
                type: "string"
            }
        },
        AdditionalLanguageCodes: {
            shape: _LanguageCodeList_1._LanguageCodeList
        },
        SupportedEngines: {
            shape: _EngineList_1._EngineList
        }
    }
};
//# sourceMappingURL=_Voice.js.map